Bug 129625 - Gray out categories in Navigator, if they have zero instances
Summary: Gray out categories in Navigator, if they have zero instances
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low enhancement
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.5.0 target:6.4.1
Keywords:
Depends on:
Blocks: Navigator
  Show dependency treegraph
 
Reported: 2019-12-26 08:11 UTC by Buovjaga
Modified: 2020-01-30 15:18 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
grey out roots with no entries (20.77 KB, image/png)
2020-01-29 03:55 UTC, Jim Raykowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2019-12-26 08:11:52 UTC
The Navigator lists all the item categories with the same visual intensity even for the ones with zero instances in the current document. Perhaps we could gray out the icon + text for the empty categories.

Noticed in the comments here: https://forums.theregister.co.uk/forum/all/2019/12/24/libreoffice_64_nearly_done_as_project_prepares_for_10th_anniversary/
Comment 1 Roman Kuznetsov 2019-12-26 08:59:58 UTC
+1 from me
Comment 2 V Stuart Foote 2019-12-26 13:31:34 UTC
+1, and if straight forward to implement a nice visual UX tweak at LibreOffice 7
Comment 3 Heiko Tietze 2020-01-06 20:36:28 UTC
Disabled means not usable in the current situation. But I've never seen a tree's root node disabled if without children. Makes not much sense to me.

OTOH, hiding until it has content might be an option. Better? Good? 
Figure 5 in https://design.blog.documentfoundation.org/2016/07/31/how-the-navigator-may-support-object-handling-in-libreoffice-draw/ is my take.
Comment 4 Thomas Lendo 2020-01-21 22:55:34 UTC
I'm against hiding. Now it's a nice overview which node types exists.
Comment 5 Buovjaga 2020-01-22 10:24:23 UTC
(In reply to Thomas Lendo from comment #4)
> I'm against hiding. Now it's a nice overview which node types exists.

Indeed, the commenters in article were against hiding.
Comment 6 Cor Nouws 2020-01-22 20:08:33 UTC
(In reply to Buovjaga from comment #5)
> (In reply to Thomas Lendo from comment #4)
> > I'm against hiding. Now it's a nice overview which node types exists.
> 
> Indeed, the commenters in article were against hiding.
I could be wring, but I think hiding is not the same as outgraying
Comment 7 Buovjaga 2020-01-22 20:12:49 UTC
(In reply to Cor Nouws from comment #6)
> (In reply to Buovjaga from comment #5)
> > (In reply to Thomas Lendo from comment #4)
> > > I'm against hiding. Now it's a nice overview which node types exists.
> > 
> > Indeed, the commenters in article were against hiding.
> I could be wring, but I think hiding is not the same as outgraying

You are absolutely right. Thomas was simply objecting to Heiko's proposal to hide the nodes. Thus, Thomas is of the same opinion as the comments that gave birth to this report.
Comment 8 Heiko Tietze 2020-01-23 09:40:55 UTC
Overall agreement to disabling empty root nodes, let's do it.
Comment 9 Jim Raykowski 2020-01-29 03:55:13 UTC
Created attachment 157487 [details]
grey out roots with no entries

Here is a patch for Writer Navigator that displays the root content type bitmap semitransparent and text color gray when there is no content for the type.

https://gerrit.libreoffice.org/c/core/+/87668
Comment 10 Commit Notification 2020-01-29 06:10:45 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/000ba228db56c28b6e2a42bf6adefe6ca6cfdffb

tdf#129625 Gray out content types with no content

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Buovjaga 2020-01-29 08:18:07 UTC
Thanks a lot, Jim! Now I should send a story tip to The Register :)
Comment 12 Heiko Tietze 2020-01-29 10:02:16 UTC
Looks nice and draws attention to the relevant content. My hesitation was wrong.
Comment 13 Commit Notification 2020-01-29 16:41:42 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/ee6b0eca46b68d392ef195e56b4a5b68c3ec9676

tdf#129625 Gray out content types with no content

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Jim Raykowski 2020-01-30 01:15:04 UTC
Here is the calc version:
https://gerrit.libreoffice.org/c/core/+/87714
Comment 15 Commit Notification 2020-01-30 06:23:49 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/54d96a88d2623b4ffcc00f4b8a8479edab5fbb6f

tdf#129625 Calc Navigator: Gray out content types with no content

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2020-01-30 15:18:43 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/0dba4ed331f539285d8ede0503760b5385bdca8e

tdf#129625 Calc Navigator: Gray out content types with no content

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.